# dmd.todt

Put initializers and objects created from CTFE into a `dt_t` data structure so the backend puts them into the data segment.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: todt.d

Documentation: https://dlang.org/phobos/dmd_todt.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/todt.d

- `cpp_type_info_ptr_toDt`

  #### Declaration

  `void `cpp_type_info_ptr_toDt`(ClassDeclaration `cd`, ref DtBuilder `dtb`);`

  Generate data for instance of _cpp_type_info_ptr that refers to the C++ RTTI symbol for `cd`.

  #### Parameters

  `ClassDeclaration `cd`` | C++ class
  `DtBuilder `dtb`` | data table builder